Bug 1022549 - [Tracking] python-glanceclient: can't configure a location of image manually with a CLI command
[Tracking] python-glanceclient: can't configure a location of image manually ...
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-glanceclient (Show other bugs)
4.0
All Linux
medium Severity medium
: z5
: 5.0 (RHEL 7)
Assigned To: CIndy Pallares
Dafna Ron
https://bugs.launchpad.net/glance/+bu...
storage
: Tracking, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 09:54 EDT by Yogev Rabl
Modified: 2016-04-26 18:54 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Glanceclient's v2 commands don't support modification operations on an image's location attribute. Consequence: Users can't modify, add, or see the location of an image. Fix: Fix adds the following location related commands to glanceclient: --location-add: Add a new location to the list of image locations. --location-delete: Remove an existing location from the list of image locations. --location-update: Update the metadata of existing location. Result: The image location attribute can now be added, deleted, and viewed via those commands.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-25 05:41:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 72539 None None None Never

  None (edit)
Description Yogev Rabl 2013-10-23 09:54:11 EDT
Description of problem:
the RFE (Bug 979142), on glance's multiple location capabilities, resulted with the option to copy or move an image to another location, but this option isn't available in CLI or UI (horizon), and it should be added.  

Version-Release number of selected component (if applicable):


How reproducible:
openstack-glance-2013.2-0.12.rc1.el6ost.noarch
Comment 2 Jakub Ruzicka 2014-03-06 08:31:05 EST
This is upstream RFE, please file upstream.

https://bugs.launchpad.net/python-glanceclient/+filebug

Note You need to log in before you can comment on or make changes to this bug.